#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2010 by VladX, <http://vladx.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, see <http://www.gnu.org/licenses/>.

# WARNING: This is a helper script, do not use it to install Nanoshot!

import os

PREFIX = '/usr'
configured = False

def configure():
	global configured
	if configured:
		return
	code = os.system('./configure --prefix=%s' % (PREFIX))
	if code != 0:
		os.sys.exit(code)
	configured = True

def install():
	p = root = ''
	prefix = PREFIX
	for arg in os.sys.argv:
		if arg.startswith('--root'):
			root = arg.replace('--root=', '', 1).replace('--root', '', 1).rstrip(os.path.sep)
	p = prefix
	if root:
		p = os.path.join(root, prefix.lstrip(os.path.sep))
		root = ' --root "' + root + '"'
	os.system('mkdir -p "' + os.path.join(p, 'bin') + '"')
	os.system('mkdir -p "' + os.path.join(p, 'lib') + '"')
	os.system('mkdir -p "' + os.path.join(p, 'share/locale') + '"')
	os.system('mkdir -p "' + os.path.join(p, 'share/man') + '"')
	os.system('mkdir -p "' + os.path.join(p, 'share/Nanoshot') + '"')
	os.system('mkdir -p "' + os.path.join(p, 'share/applications') + '"')
	os.system('./install' + root)
	os.system('cp ./Nanoshot.desktop "' + os.path.join(p, 'share/applications/') + '"')
	os.system('chmod +x "' + os.path.join(p, 'share/applications/Nanoshot.desktop') + '"')

def clean():
	os.system('rm -f ./config.log')
	os.system('rm -f ./config.status')
	os.system('rm -f ./Nanoshot.desktop')
	os.system('rm -f ./install')
	os.system('rm -rf ./locale/*')
	os.system('rm -rf ./hostings/locale/*')

if 'build' in os.sys.argv:
	configure()

if 'install' in os.sys.argv:
	install()

if 'clean' in os.sys.argv:
	clean()